#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define sdo_version 0.11.0
%define workspace_version 4.11.13
%define with_nepomuk 0
%define rel 1

Name:           kget
Summary:        Versatile and user-friendly download manager
Epoch:          3
Version: 16.12.3
Release:        %mkrel %{rel}
URL:            http://www.kde.org/applications/internet/kget/
Group:          Networking/File transfer
License:        GPLv2 LGPLv2 GFDL
Source0:        http://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kde4-macros
BuildRequires:  kdepimlibs4-devel
BuildRequires:  pkgconfig(libmms)
BuildRequires:  boost-devel
BuildRequires:  libktorrent-devel
%if %with_nepomuk
BuildRequires:  nepomuk-widgets-devel >= %{version}
BuildRequires:  pkgconfig(shared-desktop-ontologies) >= %{sdo_version}
%endif

Conflicts:      kdenetwork4-core < 3:4.5.72
Conflicts:      krdc < 3:4.8.97-3

Recommends:     kget-handbook


%description
KGet is a versatile and user-friendly download manager.
Features:
  - Downloading files from FTP and HTTP(S) sources.
  - Pausing and resuming of downloading files, as well as the ability to restart
    a download.
  - Tells lots of information about current and pending downloads.
  - Embedding into system tray.
  - Integration with the Konqueror web browser.
  - Metalink support which contains multiple URLs for downloads, along with
    checksums and other information.

%files
%_kde_bindir/kget
%_kde_libdir/kde4/krunner_kget.so
%_kde_libdir/kde4/kget_*
%_kde_libdir/kde4/plasma_engine_kget.so
%_kde_libdir/kde4/kcm_kget_checksumsearchfactory.so
%_kde_libdir/kde4/kcm_kget_metalinkfactory.so
%_kde_libdir/kde4/kcm_kget_mmsfactory.so
%_kde_libdir/kde4/kcm_kget_mirrorsearchfactory.so
%_kde_libdir/kde4/kcm_kget_multisegkiofactory.so
%_kde_libdir/kde4/plasma_kget_barapplet.so
%_kde_libdir/kde4/plasma_kget_piechart.so
%_kde_appsdir/kget
%_kde_appsdir/dolphinpart/kpartplugins/kget_plug_in.rc
%_kde_appsdir/dolphinpart/kpartplugins/kget_plug_in.desktop
%_kde_appsdir/kconf_update/kget.upd
%_kde_appsdir/kconf_update/kget_limitdownloads.pl
%_kde_appsdir/kconf_update/kget_sensitive.pl
%_kde_appsdir/khtml/kpartplugins/kget_plug_in.rc
%_kde_appsdir/khtml/kpartplugins/kget_plug_in.desktop
%_kde_appsdir/kwebkitpart/kpartplugins/kget_plug_in.desktop
%_kde_appsdir/kwebkitpart/kpartplugins/kget_plug_in.rc
%_kde_applicationsdir/kget.desktop
%_kde_services/kgetbarapplet-default.desktop
%_kde_services/kgetpiechartapplet-default.desktop
%_kde_services/plasma-runner-kget.desktop
%_kde_services/plasma-engine-kget.desktop
%_kde_services/ServiceMenus/kget_download.desktop
%_kde_services/kget_*
%_kde_iconsdir/*/*/apps/kget.*
%if %with_nepomuk
%_kde_datadir/ontology/kde/kget_history.ontology
%_kde_datadir/ontology/kde/kget_history.trig
%endif
%_kde_datadir/kde4/servicetypes/kget_*
%_kde_datadir/config.kcfg/kget*
%_datadir/dbus-1/services/org.kde.kget.service

#------------------------------------------------------------------------------

%define major_kgetcore 4
%define libkgetcore %mklibname kgetcore %{major_kgetcore}

%package -n %libkgetcore
Summary:        Runtime library for KGET
Group:          System/Libraries

%description -n %libkgetcore
Runtime library for KGET.

%files -n %libkgetcore
%_kde_libdir/libkgetcore.so.%{major_kgetcore}*

#------------------------------------------------------------------------------

%package -n kget-handbook
Summary:        Kget Handbook
Group:          Documentation
BuildArch:      noarch
Requires:       kget >= %{epoch}:%{version}-%{release}

%description -n kget-handbook
This package provides KGET handbook.

%files -n kget-handbook
%doc %{_kde_docdir}/HTML/en/kget


#------------------------------------------------------------------------------

%package devel
Summary:        Devel stuff for %{name}
Group:          Development/KDE and Qt
Requires:       %libkgetcore = %{epoch}:%{version}

%description  devel
This package contains header files needed if you wish to build applications
based on %{name}.

%files devel
%_kde_libdir/*.so

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export LD=/usr/bin/ld.gold
%cmake_kde4 -DKDE4_ENABLE_FINAL=OFF
%make_build

%install
%make_install -C build


%changelog
* Wed Mar 08 2017 neoclust <neoclust> 3:16.12.3-1.mga6
+ Revision: 1090063
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 3:16.12.0-1.mga6
+ Revision: 1076799
- New version 16.12.0

* Sat Dec 10 2016 neoclust <neoclust> 3:16.11.90-1.mga6
+ Revision: 1073947
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 3:16.08.3-1.mga6
+ Revision: 1067327
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 3:16.08.2-1.mga6
+ Revision: 1061385
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 3:16.08.1-1.mga6
+ Revision: 1050652
- New version 16.08.1

* Sat Aug 20 2016 neoclust <neoclust> 3:16.08.0-1.mga6
+ Revision: 1047292
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 3:16.04.3-1.mga6
+ Revision: 1040053
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 3:16.04.1-1.mga6
+ Revision: 1012539
- New version 16.04.1

* Tue Apr 26 2016 neoclust <neoclust> 3:16.04.0-1.mga6
+ Revision: 1006537
- New version 16.04.0

* Thu Mar 24 2016 neoclust <neoclust> 3:16.03.80-1.mga6
+ Revision: 994886
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 3:15.12.3-1.mga6
+ Revision: 991177
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 3:15.12.2-1.mga6
+ Revision: 987446
- New version 15.12.2

* Mon Jan 25 2016 neoclust <neoclust> 3:15.12.1-1.mga6
+ Revision: 927380
- New version 15.12.1
- New version 15.12.0
- New version 15.11.80
- New version 15.08.3
- New version 15.08.2
- New version 15.08.1
- New version 15.08.0

* Thu Jul 30 2015 lmenut <lmenut> 3:15.07.80-1.mga6
+ Revision: 859170
- Update to KDE Applications 15.08 Beta

* Wed Dec 03 2014 lmenut <lmenut> 3:4.14.3-1.mga5
+ Revision: 800599
- Update to KDE SC 4.14.3

* Sat Oct 18 2014 lmenut <lmenut> 3:4.14.2-1.mga5
+ Revision: 787685
- Update to KDE SC 4.14.2

* Wed Oct 15 2014 umeabot <umeabot> 3:4.14.1-2.mga5
+ Revision: 749697
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 lmenut <lmenut> 3:4.14.1-1.mga5
+ Revision: 734547
- Update to KDE SC 4.14.1

* Tue Sep 16 2014 umeabot <umeabot> 3:4.14.0-2.mga5
+ Revision: 681060
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Mon Aug 25 2014 lmenut <lmenut> 3:4.14.0-1.mga5
+ Revision: 667484
- Update to KDE SC 4.14.0
- Use official URL http://download.kde.org for Source

* Fri Aug 15 2014 lmenut <lmenut> 3:4.13.97-1.mga5
+ Revision: 662996
- Update to KDE SC 4.13.97 aka KDE SC 4.14 RC

* Sat Jul 26 2014 lmenut <lmenut> 3:4.13.95-1.mga5
+ Revision: 656674
- Update to KDE SC 4.13.95 aka KDE SC 4.14 Beta3

* Sat Jul 19 2014 lmenut <lmenut> 3:4.13.90-1.mga5
+ Revision: 653860
- Update to KDE SC 4.13.90 aka KDE SC 4.14 Beta2
- disable nepomuk

* Mon Jul 14 2014 lmenut <lmenut> 3:4.13.80-1.mga5
+ Revision: 651965
- Update to KDE SC 4.13.80 aka KDE SC 4.14 Beta1

* Sun Jun 15 2014 lmenut <lmenut> 3:4.13.2-1.mga5
+ Revision: 636734
- Update to KDE SC 4.13.2

* Sat May 24 2014 lmenut <lmenut> 3:4.13.1-1.mga5
+ Revision: 625501
- Update to KDE SC 4.13.1

* Thu Apr 17 2014 lmenut <lmenut> 3:4.13.0-1.mga5
+ Revision: 615578
- Update to KDE SC 4.13.0

* Sat Mar 29 2014 lmenut <lmenut> 3:4.12.97-1.mga5
+ Revision: 609394
- Update to KDE SC 4.12.97 aka KDE SC 4.13 RC

* Sun Mar 23 2014 lmenut <lmenut> 3:4.12.95-1.mga5
+ Revision: 606835
- Update to KDE SC 4.12.95 aka KDE SC 4.13 Beta3

* Fri Mar 14 2014 neoclust <neoclust> 3:4.12.90-1.mga5
+ Revision: 603342
- New version 4.12.80

* Fri Mar 07 2014 neoclust <neoclust> 3:4.12.80-1.mga5
+ Revision: 600677
- New version 4.12.80
- New version 4.12.3
- New version 4.12.3

* Sat Feb 15 2014 neoclust <neoclust> 3:4.12.2-1.mga5
+ Revision: 592141
- New version 4.12.2

* Tue Feb 11 2014 neoclust <neoclust> 3:4.11.5-1.mga5
+ Revision: 589253
- New version 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 3:4.11.4-1.mga4
+ Revision: 554994
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 3:4.11.3-1.mga4
+ Revision: 551262
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 3:4.11.2-2.mga4
+ Revision: 540464
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 3:4.11.2-1.mga4
+ Revision: 490840
- Update tarball to KDE SC 4.11.2

* Sat Sep 28 2013 lmenut <lmenut> 3:4.11.1-2.mga4
+ Revision: 488633
- rebuild with fixed rpm (missing suggests tags)

* Mon Sep 09 2013 mikala <mikala> 3:4.11.1-1.mga4
+ Revision: 476917
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 3:4.11.0-1.mga4
+ Revision: 465314
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 3:4.10.97-1.mga4
+ Revision: 458908
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 3:4.10.95-1.mga4
+ Revision: 455298
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Sun Jul 07 2013 lmenut <lmenut> 3:4.10.90-1.mga4
+ Revision: 451000
- Add missing conflicts

  + mikala <mikala>
    - Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
    - imported package kget

